Loading...
Searching...
No Matches
restinio::utils::metaprogramming::impl::rename< From< Types... >, To > Struct Template Reference

`#include <metaprogramming.hpp>`

## Public Types

using | type = To< Types... >

## Detailed Description

template<template< class... > class From, typename... Types, template< class... > class To>
struct restinio::utils::metaprogramming::impl::rename< From< Types... >, To >

Definition at line 180 of file metaprogramming.hpp.

## Member Typedef Documentation

## type

template<template< class... > class From, typename... Types, template< class... > class To>

using restinio::utils::metaprogramming::impl::rename< From< Types... >, To >::type = To<Types...>

Definition at line 182 of file metaprogramming.hpp.

The documentation for this struct was generated from the following file:

- restinio/utils/metaprogramming.hpp